Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Martin Bays <[email-masked]>
Date: Wed, 29 Jan 2003 19:07:50 +0000 (UTC)

On Wed, 29 Jan 2003, Robin Lee Powell wrote:

> Date: Wed, 29 Jan 2003 09:59:23 -0800
> From: Robin Lee Powell <[email-masked]>
> Reply-To: [email-masked]
> To: [email-masked]
> Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e
>
> On Wed, Jan 29, 2003 at 10:08:40AM +0000, Martin Bays wrote:
> > On Tue, 28 Jan 2003, Pierre Abbat wrote:
> > > > Also, and relatedly, is {ro boi .ibu poi kacna'u zo'u .ibu broda}
> > > > quantifying over .ibu, or is the prenex just giving a subject
> > > > restricting whatever .ibu already refers to to natural numbers?
> > >
> > > It is quantifying over .ibu. See chapter 16, verse 4.
> > >
> >
> > Yes, but the examples there (as far as I can see) all apply to DA. And
> > the scope of a DA cmavo, as the CLL says I forget where, is very short
> > - and in particular an {.i} (as opposed to an ijek/ijoik) cancels all
> > DA assignments - and since you can only have a prenex at the start of
> > a statement, not after an ijek/ijoik, your prenexed DA will never have
> > a previous assignment (except what about sub-bridi, say in a du'u? Can
> > DA assignments descend?).
>
> Heh.
>
> Many of us (and I think that includes everyone I've spoken to
> conversationally on IRC) ignore that as patently stupid, and use da'o
> and NIhO to clear da assignments.
>
> Oh, wow.
>
> And it turns out that either everyone who has discussed this is wrong,
> or there is direct contradiction in the CLL!
>
> >From Chapter 16, just after E10.5:
>
> By the rules of predicate logic, the ``ro'' quantifier on ``da'' has
> scope over both sentences. That is, once you've picked a value for
> ``da'' for the first sentence, it stays the same for both sentences.
> (The ``da'' continues with the same fixed value until a new paragraph or
> a new prenex resets the meaning.)
>
> Note that the above refers to an example which uses an .ije, but it
> *says* that any sentence carries a da.
>
> In S16.14:
>
>
> In general, the scope of a prenex that precedes a sentence extends to
> following sentences that are joined by ijeks (explained in Chapter 14)
> such as the ``.ije'' in Example 14.1. Theoretically, a bare ``.i''
> terminates the scope of the prenex. Informally, however, variables may
> persist for a while even after an ``.i'', as if it were an ``.ije''.
> Prenexes that precede embedded bridi such as relative clauses and
> abstractions extend only to the end of the clause, as explained in
> Section 8. A prenex preceding ``tu'e ... tu'u'' long-scope brackets
> persists until the ``tu'u'', which may be many sentences or even
> paragraphs later.
>
>
> It would seem we have a contradiction, yes?
>

Looks that way. Personally, I'd prefer the second. I'd also prefer, if
it's so far undecided, that DA in sub-bridi are assumed to be new - so {da
jinvi le du'u da cevni} is not the same as {da goi ko'a jinvi le du'u ko'a
cevni}.

> > But (anyway), if you use .ibu in a prenex, or indeed ko'a, it might
> > well have a previous assignment still in scope. So how can you be sure
> > your prenex is re-assigning?
>
> da'o
>
> > Actually, would bi'u work?
>
> It certainly would for me.
>
> > lo ninmu goi ny. cadzu .i ro boi ny. bi'u poi kacna'u zo'u ny
> > kacna'u ja ninmu
>
> Well, it's only a sentence away, so I might get a bit confused, but I
> think I could deal with it.
>
> More interestingly, da'o appears to bind to the previous word,
> gramatically, so theoretically you could do
>
> lo ninmu goi ny. cadzu .i ro boi ny. da'o poi kacna'u zo'u ny
> kacna'u ja ninmu
>
> (I'm assuming you meant ja; ji certainly won't work).

Eeek! Actually, I meant gi'i. Or plausibly je'i.

>
> The intent would be to clear just the assignment of da'o, which would be
> a new usage AFAIK.

If we allowed that (I'm assuming you meant it clears whatever da'o is
attached to), I would certainly prefer it to bi'u.

>
> Note, however, that in both cases the poi does *not* appear to be
> binding to just the ny.

It *isn't*? Why not? And what is it binding to, then?

>Not sure that's a problem in this case, though.
> What's the boi there for anyways?
>

{ro ny.} counts as a number, for some reason. EBNF: "number = PA [PA !
lerfu-word]...". No idea what use this was included for, though.